## BtApplication BtApplication — base class for a buzztard based application |

## Synopsis

    #include <libbtcore/core.h>

                        BtApplication;

## Object Hierarchy

      GObject
       +----BtApplication

## Properties

      "bin"                      GstBin*               : Read
      "settings"                 BtSettings*           : Read

## Description

Everyone who writes an application using the btcore library should create a child of the `BtApplication` class.

The base class automatically creates a GstBin element as a thread. This can be retrieved via the bin property of an application instance. When creating BtSong instances, the BtApplication instance needs to be passed to the `bt_song_new()` constructor, so that it can retrieve the GstBin element.

    1
    2
    3
    4
    BtApplication *app;
    BtSong *song;
    ...
    song=bt_song_new(app);

Another module the application base class maintains is a settings instance (see BtSettings), that manages application preferences.

## Details

### BtApplication

    typedef struct _BtApplication BtApplication;

base object for a buzztard based application

## Property Details

### The `"bin"` property

      "bin"                      GstBin*               : Read

applications top-level GstElement container.

### The `"settings"` property

      "settings"                 BtSettings*           : Read

applications configuration settings.